Package: org.codehaus.groovy.antlr.java

## [Java] Interface JavaTokenTypes

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `ABSTRACT` |
    `int` | `ANNOTATION` |
    `int` | `ANNOTATIONS` |
    `int` | `ANNOTATION_ARRAY_INIT` |
    `int` | `ANNOTATION_DEF` |
    `int` | `ANNOTATION_FIELD_DEF` |
    `int` | `ANNOTATION_MEMBER_VALUE_PAIR` |
    `int` | `ARRAY_DECLARATOR` |
    `int` | `ARRAY_INIT` |
    `int` | `ASSIGN` |
    `int` | `AT` |
    `int` | `BAND` |
    `int` | `BAND_ASSIGN` |
    `int` | `BLOCK` |
    `int` | `BNOT` |
    `int` | `BOR` |
    `int` | `BOR_ASSIGN` |
    `int` | `BSR` |
    `int` | `BSR_ASSIGN` |
    `int` | `BXOR` |
    `int` | `BXOR_ASSIGN` |
    `int` | `CASE_GROUP` |
    `int` | `CHAR_LITERAL` |
    `int` | `CLASS_DEF` |
    `int` | `COLON` |
    `int` | `COMMA` |
    `int` | `CTOR_CALL` |
    `int` | `DEC` |
    `int` | `DIGIT` |
    `int` | `DIGITS_WITH_UNDERSCORE` |
    `int` | `DIGITS_WITH_UNDERSCORE_OPT` |
    `int` | `DIV` |
    `int` | `DIV_ASSIGN` |
    `int` | `DOT` |
    `int` | `ELIST` |
    `int` | `EMPTY_STAT` |
    `int` | `ENUM_CONSTANT_DEF` |
    `int` | `ENUM_DEF` |
    `int` | `EOF` |
    `int` | `EQUAL` |
    `int` | `ESC` |
    `int` | `EXPONENT` |
    `int` | `EXPR` |
    `int` | `EXTENDS_CLAUSE` |
    `int` | `FINAL` |
    `int` | `FLOAT_SUFFIX` |
    `int` | `FOR_CONDITION` |
    `int` | `FOR_EACH_CLAUSE` |
    `int` | `FOR_INIT` |
    `int` | `FOR_ITERATOR` |
    `int` | `GE` |
    `int` | `GT` |
    `int` | `HEX_DIGIT` |
    `int` | `IDENT` |
    `int` | `IMPLEMENTS_CLAUSE` |
    `int` | `IMPORT` |
    `int` | `INC` |
    `int` | `INDEX_OP` |
    `int` | `INSTANCE_INIT` |
    `int` | `INTERFACE_DEF` |
    `int` | `LABELED_STAT` |
    `int` | `LAND` |
    `int` | `LBRACK` |
    `int` | `LCURLY` |
    `int` | `LE` |
    `int` | `LITERAL_assert` |
    `int` | `LITERAL_boolean` |
    `int` | `LITERAL_break` |
    `int` | `LITERAL_byte` |
    `int` | `LITERAL_case` |
    `int` | `LITERAL_catch` |
    `int` | `LITERAL_char` |
    `int` | `LITERAL_class` |
    `int` | `LITERAL_continue` |
    `int` | `LITERAL_default` |
    `int` | `LITERAL_do` |
    `int` | `LITERAL_double` |
    `int` | `LITERAL_else` |
    `int` | `LITERAL_enum` |
    `int` | `LITERAL_extends` |
    `int` | `LITERAL_false` |
    `int` | `LITERAL_finally` |
    `int` | `LITERAL_float` |
    `int` | `LITERAL_for` |
    `int` | `LITERAL_if` |
    `int` | `LITERAL_implements` |
    `int` | `LITERAL_import` |
    `int` | `LITERAL_instanceof` |
    `int` | `LITERAL_int` |
    `int` | `LITERAL_interface` |
    `int` | `LITERAL_long` |
    `int` | `LITERAL_native` |
    `int` | `LITERAL_new` |
    `int` | `LITERAL_null` |
    `int` | `LITERAL_package` |
    `int` | `LITERAL_private` |
    `int` | `LITERAL_protected` |
    `int` | `LITERAL_public` |
    `int` | `LITERAL_return` |
    `int` | `LITERAL_short` |
    `int` | `LITERAL_static` |
    `int` | `LITERAL_super` |
    `int` | `LITERAL_switch` |
    `int` | `LITERAL_synchronized` |
    `int` | `LITERAL_this` |
    `int` | `LITERAL_threadsafe` |
    `int` | `LITERAL_throw` |
    `int` | `LITERAL_throws` |
    `int` | `LITERAL_transient` |
    `int` | `LITERAL_true` |
    `int` | `LITERAL_try` |
    `int` | `LITERAL_void` |
    `int` | `LITERAL_volatile` |
    `int` | `LITERAL_while` |
    `int` | `LNOT` |
    `int` | `LOR` |
    `int` | `LPAREN` |
    `int` | `LT` |
    `int` | `METHOD_CALL` |
    `int` | `METHOD_DEF` |
    `int` | `MINUS` |
    `int` | `MINUS_ASSIGN` |
    `int` | `ML_COMMENT` |
    `int` | `MOD` |
    `int` | `MODIFIERS` |
    `int` | `MOD_ASSIGN` |
    `int` | `NOT_EQUAL` |
    `int` | `NULL_TREE_LOOKAHEAD` |
    `int` | `NUM_DOUBLE` |
    `int` | `NUM_FLOAT` |
    `int` | `NUM_INT` |
    `int` | `NUM_LONG` |
    `int` | `OBJBLOCK` |
    `int` | `PACKAGE_DEF` |
    `int` | `PARAMETERS` |
    `int` | `PARAMETER_DEF` |
    `int` | `PLUS` |
    `int` | `PLUS_ASSIGN` |
    `int` | `POST_DEC` |
    `int` | `POST_INC` |
    `int` | `QUESTION` |
    `int` | `RBRACK` |
    `int` | `RCURLY` |
    `int` | `RPAREN` |
    `int` | `SEMI` |
    `int` | `SL` |
    `int` | `SLIST` |
    `int` | `SL_ASSIGN` |
    `int` | `SL_COMMENT` |
    `int` | `SR` |
    `int` | `SR_ASSIGN` |
    `int` | `STAR` |
    `int` | `STAR_ASSIGN` |
    `int` | `STATIC_IMPORT` |
    `int` | `STATIC_INIT` |
    `int` | `STRICTFP` |
    `int` | `STRING_LITERAL` |
    `int` | `SUPER_CTOR_CALL` |
    `int` | `TRIPLE_DOT` |
    `int` | `TYPE` |
    `int` | `TYPECAST` |
    `int` | `TYPE_ARGUMENT` |
    `int` | `TYPE_ARGUMENTS` |
    `int` | `TYPE_LOWER_BOUNDS` |
    `int` | `TYPE_PARAMETER` |
    `int` | `TYPE_PARAMETERS` |
    `int` | `TYPE_UPPER_BOUNDS` |
    `int` | `UNARY_MINUS` |
    `int` | `UNARY_PLUS` |
    `int` | `VARIABLE_DEF` |
    `int` | `VARIABLE_PARAMETER_DEF` |
    `int` | `VOCAB` |
    `int` | `WILDCARD_TYPE` |
    `int` | `WS` |

- - ### Field Detail

    - #### public int ABSTRACT

    - #### public int ANNOTATION

    - #### public int ANNOTATIONS

    - #### public int ANNOTATION_ARRAY_INIT

    - #### public int ANNOTATION_DEF

    - #### public int ANNOTATION_FIELD_DEF

    - #### public int ANNOTATION_MEMBER_VALUE_PAIR

    - #### public int ARRAY_DECLARATOR

    - #### public int ARRAY_INIT

    - #### public int ASSIGN

    - #### public int AT

    - #### public int BAND

    - #### public int BAND_ASSIGN

    - #### public int BLOCK

    - #### public int BNOT

    - #### public int BOR

    - #### public int BOR_ASSIGN

    - #### public int BSR

    - #### public int BSR_ASSIGN

    - #### public int BXOR

    - #### public int BXOR_ASSIGN

    - #### public int CASE_GROUP

    - #### public int CHAR_LITERAL

    - #### public int CLASS_DEF

    - #### public int COLON

    - #### public int COMMA

    - #### public int CTOR_CALL

    - #### public int DEC

    - #### public int DIGIT

    - #### public int DIGITS_WITH_UNDERSCORE

    - #### public int DIGITS_WITH_UNDERSCORE_OPT

    - #### public int DIV

    - #### public int DIV_ASSIGN

    - #### public int DOT

    - #### public int ELIST

    - #### public int EMPTY_STAT

    - #### public int ENUM_CONSTANT_DEF

    - #### public int ENUM_DEF

    - #### public int EOF

    - #### public int EQUAL

    - #### public int ESC

    - #### public int EXPONENT

    - #### public int EXPR

    - #### public int EXTENDS_CLAUSE

    - #### public int FINAL

    - #### public int FLOAT_SUFFIX

    - #### public int FOR_CONDITION

    - #### public int FOR_EACH_CLAUSE

    - #### public int FOR_INIT

    - #### public int FOR_ITERATOR

    - #### public int GE

    - #### public int GT

    - #### public int HEX_DIGIT

    - #### public int IDENT

    - #### public int IMPLEMENTS_CLAUSE

    - #### public int IMPORT

    - #### public int INC

    - #### public int INDEX_OP

    - #### public int INSTANCE_INIT

    - #### public int INTERFACE_DEF

    - #### public int LABELED_STAT

    - #### public int LAND

    - #### public int LBRACK

    - #### public int LCURLY

    - #### public int LE

    - #### public int LITERAL_assert

    - #### public int LITERAL_boolean

    - #### public int LITERAL_break

    - #### public int LITERAL_byte

    - #### public int LITERAL_case

    - #### public int LITERAL_catch

    - #### public int LITERAL_char

    - #### public int LITERAL_class

    - #### public int LITERAL_continue

    - #### public int LITERAL_default

    - #### public int LITERAL_do

    - #### public int LITERAL_double

    - #### public int LITERAL_else

    - #### public int LITERAL_enum

    - #### public int LITERAL_extends

    - #### public int LITERAL_false

    - #### public int LITERAL_finally

    - #### public int LITERAL_float

    - #### public int LITERAL_for

    - #### public int LITERAL_if

    - #### public int LITERAL_implements

    - #### public int LITERAL_import

    - #### public int LITERAL_instanceof

    - #### public int LITERAL_int

    - #### public int LITERAL_interface

    - #### public int LITERAL_long

    - #### public int LITERAL_native

    - #### public int LITERAL_new

    - #### public int LITERAL_null

    - #### public int LITERAL_package

    - #### public int LITERAL_private

    - #### public int LITERAL_protected

    - #### public int LITERAL_public

    - #### public int LITERAL_return

    - #### public int LITERAL_short

    - #### public int LITERAL_static

    - #### public int LITERAL_super

    - #### public int LITERAL_switch

    - #### public int LITERAL_synchronized

    - #### public int LITERAL_this

    - #### public int LITERAL_threadsafe

    - #### public int LITERAL_throw

    - #### public int LITERAL_throws

    - #### public int LITERAL_transient

    - #### public int LITERAL_true

    - #### public int LITERAL_try

    - #### public int LITERAL_void

    - #### public int LITERAL_volatile

    - #### public int LITERAL_while

    - #### public int LNOT

    - #### public int LOR

    - #### public int LPAREN

    - #### public int LT

    - #### public int METHOD_CALL

    - #### public int METHOD_DEF

    - #### public int MINUS

    - #### public int MINUS_ASSIGN

    - #### public int ML_COMMENT

    - #### public int MOD

    - #### public int MODIFIERS

    - #### public int MOD_ASSIGN

    - #### public int NOT_EQUAL

    - #### public int NULL_TREE_LOOKAHEAD

    - #### public int NUM_DOUBLE

    - #### public int NUM_FLOAT

    - #### public int NUM_INT

    - #### public int NUM_LONG

    - #### public int OBJBLOCK

    - #### public int PACKAGE_DEF

    - #### public int PARAMETERS

    - #### public int PARAMETER_DEF

    - #### public int PLUS

    - #### public int PLUS_ASSIGN

    - #### public int POST_DEC

    - #### public int POST_INC

    - #### public int QUESTION

    - #### public int RBRACK

    - #### public int RCURLY

    - #### public int RPAREN

    - #### public int SEMI

    - #### public int SL

    - #### public int SLIST

    - #### public int SL_ASSIGN

    - #### public int SL_COMMENT

    - #### public int SR

    - #### public int SR_ASSIGN

    - #### public int STAR

    - #### public int STAR_ASSIGN

    - #### public int STATIC_IMPORT

    - #### public int STATIC_INIT

    - #### public int STRICTFP

    - #### public int STRING_LITERAL

    - #### public int SUPER_CTOR_CALL

    - #### public int TRIPLE_DOT

    - #### public int TYPE

    - #### public int TYPECAST

    - #### public int TYPE_ARGUMENT

    - #### public int TYPE_ARGUMENTS

    - #### public int TYPE_LOWER_BOUNDS

    - #### public int TYPE_PARAMETER

    - #### public int TYPE_PARAMETERS

    - #### public int TYPE_UPPER_BOUNDS

    - #### public int UNARY_MINUS

    - #### public int UNARY_PLUS

    - #### public int VARIABLE_DEF

    - #### public int VARIABLE_PARAMETER_DEF

    - #### public int VOCAB

    - #### public int WILDCARD_TYPE

    - #### public int WS